Package weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI

# Class SERFileFilter

java.lang.Object
javax.swing.filechooser.FileFilter
weka.clusterers.forOPTICSAndDBScan.OPTICS_GUI.SERFileFilter

All Implemented Interfaces:
  `RevisionHandler`

public class SERFileFilter extends FileFilter implements RevisionHandler

SERFileFilter.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht
Date: Sep 15, 2004
Time: 6:54:56 PM
$ Revision 1.4 $

Version:
  $Revision: 1.3 $
Author:
  Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)

## Constructor Summary

Constructors
Constructor
Description
`SERFileFilter(String extension, String description)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File f)`
Whether the given file is accepted by this filter.
`String`
`getDescription()`
The description of this filter.
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SERFileFilter

public SERFileFilter(String extension, String description)

## Method Details

### accept

public boolean accept(File f)
Whether the given file is accepted by this filter.

Specified by:
  `accept` in class `FileFilter`

### getDescription

public String getDescription()
The description of this filter.

Specified by:
  `getDescription` in class `FileFilter`
See Also:
  - `FileView.getName(java.io.File)`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision